| Home | Libraries | People | FAQ | More

## Function template none_of

boost::compute::none_of

## Synopsis

    // In header: <boost/compute/algorithm/none_of.hpp>

    template<typename InputIterator, typename UnaryPredicate>
      bool none_of(InputIterator first, InputIterator last,
                   UnaryPredicate predicate,
                   command_queue & queue = system::default_queue());

## Description

Returns `true` if `predicate` returns `true` for none of the elements in the range [`first`, `last`).

See Also:

all_of(), any_of()